## org.omg.CONV_FRAME
Class CodeSetContextHelper

    java.lang.Object
      |
      +--org.omg.CONV_FRAME.CodeSetContextHelper

public class CodeSetContextHelper
extends java.lang.Object

Helper class for : CodeSetContext

Author:
  OpenORB Compiler

Constructor Summary
`CodeSetContextHelper()`

Method Summary
`static CodeSetContext` `extract(Any a)` Extract CodeSetContext from an any
`static java.lang.String` `id()` Return the CodeSetContext IDL ID
`static void` `insert(Any a, CodeSetContext t)` Insert CodeSetContext into an any
`static CodeSetContext` `read(InputStream istream)` Read CodeSetContext from a marshalled stream
`static TypeCode` `type()` Return the CodeSetContext TypeCode
`static void` `write(OutputStream ostream, CodeSetContext value)` Write CodeSetContext into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeSetContextHelper

    public CodeSetContextHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CodeSetContext t)

  Insert CodeSetContext into an any
  Parameters:
    `a` - an any
    `t` - CodeSetContext value

### extract

    public static CodeSetContext extract(Any a)

  Extract CodeSetContext from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CodeSetContext value

### type

    public static TypeCode type()

  Return the CodeSetContext TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CodeSetContext IDL ID
  Returns:
    an ID

### read

    public static CodeSetContext read(InputStream istream)

  Read CodeSetContext from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CodeSetContext value

### write

    public static void write(OutputStream ostream,
                             CodeSetContext value)

  Write CodeSetContext into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CodeSetContext value